/*
 * menu_def.c
 * begin 20190527 true
 *
 * main menu
 */

#include "menu.h"

#include "user_config.h"



// fake menu when exiting
const MenuItem menu_none = {1, 0, 0, 0, &menu_none_disp, &menu_start};

// root menu
	// exit, snek, morble, set name, leds, options, about
const MenuItem menu_0 = {7, MENU_FLAG_SCROLL,
					0, 0, &menu_0_disp, &menu_0_enter};

// name menu
	// set name, display mode, flip mode, font select, char spacing, y-offset, half-width, color invert
const MenuItem menu_1 = {8, MENU_FLAG_SCROLL | MENU_FLAG_SAVE_ON_EXIT,
					(MenuItem *)&menu_0, 1, &menu_1_disp, &menu_1_enter};

// led menu
	// edge mode, edge setup, eyes mode, eyes setup, favcolor hue, sat, val, altcolor hue, sat, val
const MenuItem menu_2 = {10, MENU_FLAG_SCROLL | MENU_FLAG_SAVE_ON_EXIT,
					(MenuItem *)&menu_0, 2, &menu_2_disp, &menu_2_enter};


// snek menu
const MenuItem menu_3_snek = {1, MENU_FLAG_NONE, //MENU_FLAG_SAVE_ON_EXIT,
					(MenuItem *)&menu_0, 3, &snek_disp, NULL};

// options menu
	// leds on/off, sleep on/off, sleep threshold, wake threshold, recal lightsense, factory reset, show cpu usage, show accel "angle",
const MenuItem menu_5 = {8, MENU_FLAG_SCROLL | MENU_FLAG_SAVE_ON_EXIT,
					(MenuItem *)&menu_0, 5, &menu_5_disp, &menu_5_enter};

// about menu
	// credits, leds, leds, leds, accel, cpu usage/uptime, light/temp, errors, font test
const MenuItem menu_6 = {10, MENU_FLAG_SCROLL,
					(MenuItem *)&menu_0, 6, &menu_6_disp, 0};
